Closed Bug 954773 Opened 10 years ago Closed 10 years ago

Change IRC nick when away

Categories

(Chat Core :: IRC, enhancement)

enhancement
Not set
normal

Tracking

(Not tracked)

RESOLVED WONTFIX

People

(Reporter: benediktp, Unassigned)

Details

*** Original post on bio 1340 at 2012-03-16 18:40:00 UTC ***

Some people seem to change their nickname on IRC when they're "away".
Maybe we could do that automatically (e.g. by allowing to set an away-nickname in the account options that will be used when away)?

Just an idea :)
*** Original post on bio 1340 at 2012-03-30 14:39:40 UTC ***

We are currently using the Away flag to let people know the user is unavailable, which makes changing the nick unnecessary imho.
*** Original post on bio 1340 at 2012-03-30 14:41:49 UTC ***

(In reply to comment #1)
> We are currently using the Away flag to let people know the user is
> unavailable, which makes changing the nick unnecessary imho.

I think Mic means that if *I* go away, I want *my* nick automatically changed to clokep_away. Which makes sense as a request since you can't assume people are using Instantbird.
*** Original post on bio 1340 at 2013-04-14 11:21:07 UTC ***

Hey,
Can you guys point me out to some code listing. I was looking for a starting point.

Thanks
*** Original post on bio 1340 at 2013-04-14 12:56:13 UTC ***

(In reply to comment #3)
> Hey,
> Can you guys point me out to some code listing. I was looking for a starting
> point.
> 
> Thanks

See [1] for where options are defined and [2] for where we go away. Florian and I were discussing online about whether this is actually wanted or not...and if it is we almost definitely DON'T want to do it when going auto-away, just when the user sets them self as away.

[1] http://lxr.instantbird.org/instantbird/source/chat/protocols/irc/irc.js#1542
[2] http://lxr.instantbird.org/instantbird/source/chat/protocols/irc/irc.js#791
Personally I would close this WONTFIX as I consider it addon material. But then I dislike people changing their nicks to reflect their status, so... ;)
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.